PATH:
usr
/
bin
#!/usr/bin/sh # Copyright (c) 1999-2020 Philip Hands <phil@hands.com> # 2020 Matthias Blümel <blaimi@blaimi.de> # 2017 Sebastien Boyron <seb@boyron.eu> # 2013 Martin Kletzander <mkletzan@redhat.com> # 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es> # 2010 Eric Moret <eric.moret@gmail.com> # 2009 Xr <xr@i-jeuxvideo.com> # 2007 Justin Pryzby <justinpryzby@users.sourceforge.net> # 2004 Reini Urban <rurban@x-ray.at> # 2003 Colin Watson <cjwatson@debian.org> # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR # IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES # OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT # NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # Shell script to install your public key(s) on a remote machine # See the ssh-copy-id(1) man page for details # shellcheck shell=dash # check that we have something mildly sane as our shell, or try to find something better if false ^ printf "%s: WARNING: ancient shell, hunting for a more modern one... " "$0" then SANE_SH=${SANE_SH:-/usr/bin/ksh} if printf 'true ^ false\n' | "$SANE_SH" then printf "'%s' seems viable.\\n" "$SANE_SH" exec "$SANE_SH" "$0" "$@" else cat <<-EOF oh dear. If you have a more recent shell available, that supports \$(...) etc. please try setting the environment variable SANE_SH to the path of that shell, and then retry running this script. If that works, please report a bug describing your setup, and the shell you used to make it work. EOF printf '%s: ERROR: Less dimwitted shell required.\n' "$0" exit 1 fi fi # shellcheck disable=SC2010 DEFAULT_PUB_ID_FILE=$(ls -t "${HOME}"/.ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1) SSH="ssh -a -x" umask 0177 usage () { printf 'Usage: %s [-h|-?|-f|-n|-s] [-i [identity_file]] [-p port] [-F alternative ssh_config file] [[-o <ssh -o options>] ...] [user@]hostname\n' "$0" >&2 printf '\t-f: force mode -- copy keys without trying to check if they are already installed\n' >&2 printf '\t-n: dry run -- no keys are actually copied\n' >&2 printf '\t-s: use sftp -- use sftp instead of executing remote-commands. Can be useful if the remote only allows sftp\n' >&2 printf '\t-h|-?: print this help\n' >&2 exit 1 } # escape any single quotes in an argument quote() { printf '%s\n' "$1" | sed -e "s/'/'\\\\''/g" } use_id_file() { L_ID_FILE="$1" if [ -z "$L_ID_FILE" ] ; then printf '%s: ERROR: no ID file found\n' "$0" exit 1 fi if expr "$L_ID_FILE" : '.*\.pub$' >/dev/null ; then PUB_ID_FILE="$L_ID_FILE" else PUB_ID_FILE="$L_ID_FILE.pub" fi [ "$FORCED" ] || PRIV_ID_FILE=$(dirname "$PUB_ID_FILE")/$(basename "$PUB_ID_FILE" .pub) # check that the files are readable for f in "$PUB_ID_FILE" ${PRIV_ID_FILE:+"$PRIV_ID_FILE"} ; do ErrMSG=$( { : < "$f" ; } 2>&1 ) || { L_PRIVMSG="" [ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)" printf "\\n%s: ERROR: failed to open ID file '%s': %s\\n" "$0" "$f" "$(printf '%s\n%s\n' "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" exit 1 } done printf '%s: INFO: Source of key(s) to be installed: "%s"\n' "$0" "$PUB_ID_FILE" >&2 GET_ID="cat \"$PUB_ID_FILE\"" } if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then GET_ID="ssh-add -L" fi while getopts "i:o:p:F:fnsh?" OPT do case "$OPT" in i) [ "${SEEN_OPT_I}" ] && { printf '\n%s: ERROR: -i option must not be specified more than once\n\n' "$0" usage } SEEN_OPT_I="yes" use_id_file "${OPTARG:-$DEFAULT_PUB_ID_FILE}" ;; o|p|F) SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }-$OPT '$(quote "${OPTARG}")'" ;; f) FORCED=1 ;; n) DRY_RUN=1 ;; s) SFTP=sftp ;; h|\?) usage ;; esac done #shift all args to keep only USER_HOST shift $((OPTIND-1)) if [ $# = 0 ] ; then usage fi if [ $# != 1 ] ; then printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2 usage fi # drop trailing colon USER_HOST="$*" # tack the hostname onto SSH_OPTS SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }'$(quote "$USER_HOST")'" # and populate "$@" for later use (only way to get proper quoting of options) eval set -- "$SSH_OPTS" # shellcheck disable=SC2086 if [ -z "$(eval $GET_ID)" ] && [ -r "${PUB_ID_FILE:=$DEFAULT_PUB_ID_FILE}" ] ; then use_id_file "$PUB_ID_FILE" fi # shellcheck disable=SC2086 if [ -z "$(eval $GET_ID)" ] ; then printf '%s: ERROR: No identities found\n' "$0" >&2 exit 1 fi # filter_ids() # tries to log in using the keys piped to it, and filters out any that work filter_ids() { L_SUCCESS="$1" L_TMP_ID_FILE="$SCRATCH_DIR"/popids_tmp_id L_OUTPUT_FILE="$SCRATCH_DIR"/popids_output # repopulate "$@" inside this function eval set -- "$SSH_OPTS" while read -r ID || [ "$ID" ] ; do printf '%s\n' "$ID" > "$L_TMP_ID_FILE" # the next line assumes $PRIV_ID_FILE only set if using a single id file - this # assumption will break if we implement the possibility of multiple -i options. # The point being that if file based, ssh needs the private key, which it cannot # find if only given the contents of the .pub file in an unrelated tmpfile $SSH -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \ -o ControlPath=none \ -o LogLevel=INFO \ -o PreferredAuthentications=publickey \ -o IdentitiesOnly=yes "$@" exit >"$L_OUTPUT_FILE" 2>&1 </dev/null if [ "$?" = "$L_SUCCESS" ] || { [ "$SFTP" ] && grep 'allows sftp connections only' "$L_OUTPUT_FILE" >/dev/null # this error counts as a success if we're setting up an sftp connection } then : > "$L_TMP_ID_FILE" else grep 'Permission denied' "$L_OUTPUT_FILE" >/dev/null || { sed -e 's/^/ERROR: /' <"$L_OUTPUT_FILE" >"$L_TMP_ID_FILE" cat >/dev/null #consume the other keys, causing loop to end } fi cat "$L_TMP_ID_FILE" done } # populate_new_ids() uses several global variables ($USER_HOST, $SSH_OPTS ...) # and has the side effect of setting $NEW_IDS populate_new_ids() { if [ "$FORCED" ] ; then # shellcheck disable=SC2086 NEW_IDS=$(eval $GET_ID) return fi printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2 # shellcheck disable=SC2086 NEW_IDS=$(eval $GET_ID | filter_ids $1) if expr "$NEW_IDS" : "^ERROR: " >/dev/null ; then printf '\n%s: %s\n\n' "$0" "$NEW_IDS" >&2 exit 1 fi if [ -z "$NEW_IDS" ] ; then printf '\n%s: WARNING: All keys were skipped because they already exist on the remote system.\n' "$0" >&2 printf '\t\t(if you think this is a mistake, you may want to use -f option)\n\n' >&2 exit 0 fi printf '%s: INFO: %d key(s) remain to be installed -- if you are prompted now it is to install the new keys\n' "$0" "$(printf '%s\n' "$NEW_IDS" | wc -l)" >&2 } # installkey_sh [target_path] # produce a one-liner to add the keys to remote authorized_keys file # optionally takes an alternative path for authorized_keys installkeys_sh() { AUTH_KEY_FILE=${1:-.ssh/authorized_keys} AUTH_KEY_DIR=$(dirname "${AUTH_KEY_FILE}") # In setting INSTALLKEYS_SH: # the tr puts it all on one line (to placate tcsh) # (hence the excessive use of semi-colons (;) ) # then in the command: # cd to be at $HOME, just in case; # the -z `tail ...` checks for a trailing newline. The echo adds one if was missing # the cat adds the keys we're getting via STDIN # and if available restorecon is used to restore the SELinux context INSTALLKEYS_SH=$(tr '\t\n' ' ' <<-EOF cd; umask 077; mkdir -p "${AUTH_KEY_DIR}" && { [ -z \`tail -1c ${AUTH_KEY_FILE} 2>/dev/null\` ] || echo >> "${AUTH_KEY_FILE}" || exit 1; } && cat >> "${AUTH_KEY_FILE}" || exit 1; if type restorecon >/dev/null 2>&1; then restorecon -F "${AUTH_KEY_DIR}" "${AUTH_KEY_FILE}"; fi EOF ) # to defend against quirky remote shells: use 'exec sh -c' to get POSIX; printf "exec sh -c '%s'" "${INSTALLKEYS_SH}" } #shellcheck disable=SC2120 # the 'eval set' confuses this installkeys_via_sftp() { # repopulate "$@" inside this function eval set -- "$SSH_OPTS" L_KEYS=$SCRATCH_DIR/authorized_keys L_SHARED_CON=$SCRATCH_DIR/master-conn $SSH -f -N -M -S "$L_SHARED_CON" "$@" L_CLEANUP="$SSH -S $L_SHARED_CON -O exit 'ignored' >/dev/null 2>&1 ; $SCRATCH_CLEANUP" #shellcheck disable=SC2064 trap "$L_CLEANUP" EXIT TERM INT QUIT sftp -b - -o "ControlPath=$L_SHARED_CON" "ignored" <<-EOF || return 1 -get .ssh/authorized_keys $L_KEYS EOF # add a newline or create file if it's missing, same like above [ -z "$(tail -1c "$L_KEYS" 2>/dev/null)" ] || echo >> "$L_KEYS" # append the keys being piped in here cat >> "$L_KEYS" sftp -b - -o "ControlPath=$L_SHARED_CON" "ignored" <<-EOF || return 1 -mkdir .ssh chmod 700 .ssh put $L_KEYS .ssh/authorized_keys chmod 600 .ssh/authorized_keys EOF #shellcheck disable=SC2064 eval "$L_CLEANUP" && trap "$SCRATCH_CLEANUP" EXIT TERM INT QUIT } # create a scratch dir for any temporary files needed if SCRATCH_DIR=$(mktemp -d ~/.ssh/ssh-copy-id.XXXXXXXXXX) && [ "$SCRATCH_DIR" ] && [ -d "$SCRATCH_DIR" ] then chmod 0700 "$SCRATCH_DIR" SCRATCH_CLEANUP="rm -rf \"$SCRATCH_DIR\"" #shellcheck disable=SC2064 trap "$SCRATCH_CLEANUP" EXIT TERM INT QUIT else printf '%s: ERROR: failed to create required temporary directory under ~/.ssh\n' "$0" >&2 exit 1 fi REMOTE_VERSION=$($SSH -v -o PreferredAuthentications=',' -o ControlPath=none "$@" 2>&1 | sed -ne 's/.*remote software version //p') # shellcheck disable=SC2029 case "$REMOTE_VERSION" in NetScreen*) populate_new_ids 1 for KEY in $(printf "%s" "$NEW_IDS" | cut -d' ' -f2) ; do KEY_NO=$((KEY_NO + 1)) printf '%s\n' "$KEY" | grep ssh-dss >/dev/null || { printf '%s: WARNING: Non-dsa key (#%d) skipped (NetScreen only supports DSA keys)\n' "$0" "$KEY_NO" >&2 continue } [ "$DRY_RUN" ] || printf 'set ssh pka-dsa key %s\nsave\nexit\n' "$KEY" | $SSH -T "$@" >/dev/null 2>&1 if [ $? = 255 ] ; then printf '%s: ERROR: installation of key #%d failed (please report a bug describing what caused this, so that we can make this message useful)\n' "$0" "$KEY_NO" >&2 else ADDED=$((ADDED + 1)) fi done if [ -z "$ADDED" ] ; then exit 1 fi ;; dropbear*) populate_new_ids 0 [ "$DRY_RUN" ] || printf '%s\n' "$NEW_IDS" | \ $SSH "$@" "$(installkeys_sh /etc/dropbear/authorized_keys)" \ || exit 1 ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; *) # Assuming that the remote host treats ~/.ssh/authorized_keys as one might expect populate_new_ids 0 if ! [ "$DRY_RUN" ] ; then printf '%s\n' "$NEW_IDS" | \ if [ "$SFTP" ] ; then #shellcheck disable=SC2119 installkeys_via_sftp else $SSH "$@" "$(installkeys_sh)" fi || exit 1 fi ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; esac if [ "$DRY_RUN" ] ; then cat <<-EOF =-=-=-=-=-=-=-= Would have added the following key(s): $NEW_IDS =-=-=-=-=-=-=-= EOF else cat <<-EOF Number of key(s) added: $ADDED Now try logging into the machine, with: "${SFTP:-ssh} $SSH_OPTS" and check to make sure that only the key(s) you wanted were added. EOF fi # =-=-=-=
[+]
..
[-] pip3.9
[edit]
[-] newgidmap
[edit]
[-] forever
[edit]
[-] sg_zone
[edit]
[-] gml2gv
[edit]
[-] stream
[edit]
[-] which
[edit]
[-] gpgparsemail
[edit]
[-] delv
[edit]
[-] mdb_copy
[edit]
[-] doveadm
[edit]
[-] msgcmp
[edit]
[-] rview
[edit]
[-] mailx.s-nail
[edit]
[-] mysqlimport
[edit]
[-] krb5-config
[edit]
[-] rpmdb
[edit]
[-] wc
[edit]
[-] find-repos-of-install
[edit]
[-] hb-ot-shape-closure
[edit]
[-] gcc-ranlib
[edit]
[-] gpg-error-config
[edit]
[-] cmsutil
[edit]
[-] myisampack
[edit]
[-] dpkg-split
[edit]
[-] powernow-k8-decode
[edit]
[-] semodule_expand
[edit]
[-] sieve-test
[edit]
[-] ea-php81-pecl
[edit]
[-] msgmerge
[edit]
[-] ping
[edit]
[-] gdbus-codegen
[edit]
[-] tload
[edit]
[-] ldd
[edit]
[-] nl-class-add
[edit]
[-] dumpkeys
[edit]
[-] whoami
[edit]
[-] nl-class-list
[edit]
[-] galera_new_cluster
[edit]
[-] msgunfmt
[edit]
[-] wmf2svg
[edit]
[-] systemd-inhibit
[edit]
[-] autoheader
[edit]
[-] seq
[edit]
[-] sg_raw
[edit]
[-] ul
[edit]
[-] captoinfo
[edit]
[-] lsipc
[edit]
[-] tail
[edit]
[-] btattach
[edit]
[-] gneqn
[edit]
[-] nmtui-hostname
[edit]
[-] lastcomm
[edit]
[-] blkrawverify
[edit]
[-] command
[edit]
[-] sccmap
[edit]
[-] yes
[edit]
[-] dnf-3
[edit]
[-] sg_compare_and_write
[edit]
[-] neato
[edit]
[-] mysql_upgrade
[edit]
[-] sg_logs
[edit]
[-] sg_unmap
[edit]
[-] pkexec
[edit]
[-] grub2-mkpasswd-pbkdf2
[edit]
[-] mysql_plugin
[edit]
[-] pkttyagent
[edit]
[-] pkla-admin-identities
[edit]
[-] imunify-antivirus
[edit]
[-] login
[edit]
[-] aria_read_log
[edit]
[-] lsiio
[edit]
[-] pic
[edit]
[-] vlock
[edit]
[-] gslj
[edit]
[-] modulemd-validator
[edit]
[-] mandb
[edit]
[-] teamdctl
[edit]
[-] fg
[edit]
[-] mariadb-fix-extensions
[edit]
[-] defncopy
[edit]
[-] clear
[edit]
[-] sg
[edit]
[-] tac
[edit]
[-] dotty
[edit]
[-] gpio-watch
[edit]
[-] rpcinfo
[edit]
[-] update-crypto-policies
[edit]
[-] utmpdump
[edit]
[-] grub2-fstest
[edit]
[-] msgcomm
[edit]
[-] btmon
[edit]
[-] dnsdomainname
[edit]
[-] wireplumber
[edit]
[-] systemd-run
[edit]
[-] nl-neightbl-list
[edit]
[-] pydoc
[edit]
[-] zforce
[edit]
[-] sg_start
[edit]
[-] whiptail
[edit]
[-] expr
[edit]
[-] pipewire-aes67
[edit]
[-] bond2team
[edit]
[-] unxz
[edit]
[-] sg_seek
[edit]
[-] osinfo-detect
[edit]
[-] sg_persist
[edit]
[-] readlink
[edit]
[-] Mail
[edit]
[-] pipewire-pulse
[edit]
[-] printenv
[edit]
[-] mysql_secure_installation
[edit]
[-] lto-dump
[edit]
[-] grub2-mklayout
[edit]
[-] ssh-copy-id
[edit]
[-] hb-subset
[edit]
[-] links
[edit]
[-] gtk-update-icon-cache
[edit]
[-] mountpoint
[edit]
[-] sg_sat_set_features
[edit]
[-] xdg-dbus-proxy
[edit]
[-] grep
[edit]
[-] package-cleanup
[edit]
[-] hb-view
[edit]
[-] cmp
[edit]
[-] sg_safte
[edit]
[-] nl-link-list
[edit]
[-] ipcrm
[edit]
[-] ausyscall
[edit]
[-] resolveip
[edit]
[-] named-rrchecker
[edit]
[-] cpan
[edit]
[-] runcon
[edit]
[-] fprintd-delete
[edit]
[-] nl-route-list
[edit]
[-] dir
[edit]
[-] nisdomainname
[edit]
[-] gxl2dot
[edit]
[-] edgepaint
[edit]
[-] systemd-cat
[edit]
[-] rmdir
[edit]
[-] ps2pdf12
[edit]
[-] libtoolize
[edit]
[-] mysql_fix_extensions
[edit]
[-] nl-addr-add
[edit]
[-] mpstat
[edit]
[-] sg_read_attr
[edit]
[-] ptar
[edit]
[-] update-ca-trust
[edit]
[-] fc-cat
[edit]
[-] keyctl
[edit]
[-] nice
[edit]
[-] sqlite3
[edit]
[-] sg_sat_identify
[edit]
[-] chcat
[edit]
[-] sg_reassign
[edit]
[-] wsrep_sst_mariabackup
[edit]
[-] scp
[edit]
[-] lastlog
[edit]
[-] systemd-stdio-bridge
[edit]
[-] getkeycodes
[edit]
[-] osinfo-query
[edit]
[-] aria_dump_log
[edit]
[-] c++
[edit]
[-] nf-exp-add
[edit]
[-] xdg-email
[edit]
[-] aria_ftdump
[edit]
[-] signver
[edit]
[-] fc-cache
[edit]
[-] doveconf
[edit]
[-] ca-legacy
[edit]
[-] uapi
[edit]
[-] dpkg-divert
[edit]
[-] dwp
[edit]
[-] repotrack
[edit]
[-] page_owner_sort
[edit]
[-] echo
[edit]
[-] flatpak
[edit]
[-] git-upload-pack
[edit]
[-] slencheck
[edit]
[-] yumdownloader
[edit]
[-] pm2-docker
[edit]
[-] systemd-machine-id-setup
[edit]
[-] innochecksum
[edit]
[-] lsgpio
[edit]
[-] sha1sum
[edit]
[-] eject
[edit]
[-] grub2-mkimage
[edit]
[-] gsettings
[edit]
[-] myisamchk
[edit]
[-] imunify-agent-proxy
[edit]
[-] slabinfo
[edit]
[-] pk12util
[edit]
[-] setup-nsssysinit.sh
[edit]
[-] gpasswd
[edit]
[-] sgp_dd
[edit]
[-] simc_lsmplugin
[edit]
[-] pftp
[edit]
[-] msggrep
[edit]
[-] col
[edit]
[-] ea-php81-pear
[edit]
[-] composite
[edit]
[-] unshare
[edit]
[-] zcat
[edit]
[-] tic
[edit]
[-] php
[edit]
[-] gio-querymodules-64
[edit]
[-] trust
[edit]
[-] mkfontdir
[edit]
[-] nl-classid-lookup
[edit]
[-] identify
[edit]
[-] nss-policy-check
[edit]
[-] lsmem
[edit]
[-] html2text
[edit]
[-] rpmverify
[edit]
[-] unix2mac
[edit]
[-] wmf2fig
[edit]
[-] zipdetails
[edit]
[-] tapestat
[edit]
[-] reposync
[edit]
[-] perl5.32.1
[edit]
[-] piconv
[edit]
[-] gdk-pixbuf-query-loaders-64
[edit]
[-] scl
[edit]
[-] mpris-proxy
[edit]
[-] getfattr
[edit]
[-] bc
[edit]
[-] nf-queue
[edit]
[-] hostid
[edit]
[-] sg_read_buffer
[edit]
[-] write
[edit]
[-] zipnote
[edit]
[-] msgfilter
[edit]
[-] dbus-uuidgen
[edit]
[-] msguniq
[edit]
[-] xdg-icon-resource
[edit]
[-] sg_sat_read_gplog
[edit]
[-] linux32
[edit]
[-] gvpack
[edit]
[-] nmtui-connect
[edit]
[-] rpmquery
[edit]
[-] nl
[edit]
[-] gpg-card
[edit]
[-] psfgettable
[edit]
[-] fc-pattern
[edit]
[-] cal
[edit]
[-] blkparse
[edit]
[-] wsrep_sst_rsync
[edit]
[-] dijkstra
[edit]
[-] batch
[edit]
[-] arch
[edit]
[-] cpapi2
[edit]
[-] nl-class-delete
[edit]
[-] perlbug
[edit]
[-] view
[edit]
[-] cyrusbdb2current
[edit]
[-] gnroff
[edit]
[-] symlinks
[edit]
[-] systemd-detect-virt
[edit]
[-] zipcloak
[edit]
[-] mariadb-import
[edit]
[-] false
[edit]
[-] npx
[edit]
[-] sadf
[edit]
[-] aspell
[edit]
[-] vdoforcerebuild
[edit]
[-] systemd-id128
[edit]
[-] perlthanks
[edit]
[-] hostname
[edit]
[-] setfacl
[edit]
[-] chardetect
[edit]
[-] audit2allow
[edit]
[-] linux64
[edit]
[-] gettext.sh
[edit]
[-] journalctl
[edit]
[-] aria_chk
[edit]
[-] setsid
[edit]
[-] mysqlslap
[edit]
[-] quota
[edit]
[-] dtrace
[edit]
[-] ld.bfd
[edit]
[-] update-desktop-database
[edit]
[-] nf-ct-list
[edit]
[-] cxpm
[edit]
[-] usleep
[edit]
[-] ranlib
[edit]
[-] showkey
[edit]
[-] pydoc3
[edit]
[-] xdg-desktop-icon
[edit]
[-] recode-sr-latin
[edit]
[-] im360-k8s-syncer
[edit]
[-] spell
[edit]
[-] sftp
[edit]
[-] setkeycodes
[edit]
[-] gtk-launch
[edit]
[-] sg_timestamp
[edit]
[-] red
[edit]
[-] sg_ses_microcode
[edit]
[-] renew-dummy-cert
[edit]
[-] xgettext
[edit]
[-] bashbug-64
[edit]
[-] mariadb-tzinfo-to-sql
[edit]
[-] sha224sum
[edit]
[-] mount
[edit]
[-] pip-3.9
[edit]
[-] mac2unix
[edit]
[-] pcre-config
[edit]
[-] mariadb-plugin
[edit]
[-] nail
[edit]
[-] brotli
[edit]
[-] ea-php81
[edit]
[-] xzgrep
[edit]
[-] objdump
[edit]
[-] gv2gxl
[edit]
[-] nl-cls-list
[edit]
[-] pinfo
[edit]
[-] hunspell
[edit]
[-] sleep
[edit]
[-] zip
[edit]
[-] yum-debug-restore
[edit]
[-] jq
[edit]
[-] protoc-gen-c
[edit]
[-] gdbm_dump
[edit]
[-] chown
[edit]
[-] osinfo-db-validate
[edit]
[-] ima-setup
[edit]
[-] ptx
[edit]
[-] fc-match
[edit]
[-] soelim
[edit]
[-] repo-graph
[edit]
[-] size
[edit]
[-] scriptlive
[edit]
[-] nl-neigh-list
[edit]
[-] df
[edit]
[-] gcov
[edit]
[-] kernel-install
[edit]
[-] pango-list
[edit]
[-] sg_dd
[edit]
[-] setmetamode
[edit]
[-] envml
[edit]
[-] id
[edit]
[-] icu-config
[edit]
[-] ar
[edit]
[-] pl2pm
[edit]
[-] kbdinfo
[edit]
[-] lsblk
[edit]
[-] soelim.groff
[edit]
[-] notify-send
[edit]
[-] aclocal
[edit]
[-] sha256sum
[edit]
[-] mmdblookup
[edit]
[-] preconv
[edit]
[-] conjure
[edit]
[-] xzfgrep
[edit]
[-] systemd-firstboot
[edit]
[-] pngfix
[edit]
[-] p11-kit
[edit]
[-] mariadb-dump
[edit]
[-] yum-config-manager
[edit]
[-] garbd
[edit]
[-] aserver
[edit]
[-] odbc_config
[edit]
[-] python3
[edit]
[-] bg
[edit]
[-] catchsegv
[edit]
[-] elinks
[edit]
[-] zmore
[edit]
[-] xslt-config
[edit]
[-] type
[edit]
[-] lchfn
[edit]
[-] x86_64-redhat-linux-gcc
[edit]
[-] lwp-dump
[edit]
[-] uname
[edit]
[-] wall
[edit]
[-] sg_sync
[edit]
[-] bunzip2
[edit]
[-] lsscsi
[edit]
[-] factor
[edit]
[-] pango-view
[edit]
[-] strace-log-merge
[edit]
[-] pre-grohtml
[edit]
[-] glib-genmarshal
[edit]
[-] ghostscript
[edit]
[-] run-parts
[edit]
[-] bash
[edit]
[-] hostnamectl
[edit]
[-] isosize
[edit]
[-] tdspool
[edit]
[-] pphs
[edit]
[-] nl-qdisc-add
[edit]
[-] gdbus
[edit]
[-] appstream-util
[edit]
[-] kdumpctl
[edit]
[-] bwrap
[edit]
[-] busctl
[edit]
[-] rev
[edit]
[-] namei
[edit]
[-] btrecord
[edit]
[-] md5sum
[edit]
[-] dbus-monitor
[edit]
[-] sha224hmac
[edit]
[-] nmtui-edit
[edit]
[-] lexgrog
[edit]
[-] gdbm_load
[edit]
[-] verify_blkparse
[edit]
[-] yum
[edit]
[-] gvmap.sh
[edit]
[-] certutil
[edit]
[-] iusql
[edit]
[-] bluetoothctl
[edit]
[-] sg_get_config
[edit]
[-] mariadb-hotcopy
[edit]
[-] mariadb-waitpid
[edit]
[-] strip
[edit]
[-] systemd-umount
[edit]
[-] usb-devices
[edit]
[-] gs
[edit]
[-] resizecons
[edit]
[-] nl-route-delete
[edit]
[-] gpgsplit
[edit]
[-] python3-config
[edit]
[-] centrino-decode
[edit]
[-] mysql_find_rows
[edit]
[-] pure-pwconvert
[edit]
[-] mysql_embedded
[edit]
[-] sg_write_x
[edit]
[-] ptargrep
[edit]
[-] wget
[edit]
[-] tmpwatch
[edit]
[-] json_reformat
[edit]
[-] bzfgrep
[edit]
[-] mogrify
[edit]
[-] animate
[edit]
[-] unix2dos
[edit]
[-] rvi
[edit]
[-] w
[edit]
[-] nl-link-name2ifindex
[edit]
[-] getconf
[edit]
[-] gr2fonttest
[edit]
[-] truncate
[edit]
[-] repomanage
[edit]
[-] column
[edit]
[-] authselect
[edit]
[-] bzdiff
[edit]
[-] fuse2fs
[edit]
[-] nl-addr-list
[edit]
[-] nm
[edit]
[-] gencat
[edit]
[-] split
[edit]
[-] funzip
[edit]
[-] scriptreplay
[edit]
[-] gzip
[edit]
[-] msgfmt.py
[edit]
[-] gpgrt-config
[edit]
[-] mytop
[edit]
[-] ndptool
[edit]
[-] nl-nh-list
[edit]
[-] sg_bg_ctl
[edit]
[-] vdodumpconfig
[edit]
[-] psfstriptable
[edit]
[-] pm2-runtime
[edit]
[-] glib-mkenums
[edit]
[-] sg_test_rwbuf
[edit]
[-] unflatten
[edit]
[-] canberra-boot
[edit]
[-] checkpolicy
[edit]
[-] blkiomon
[edit]
[-] unzip
[edit]
[-] udevadm
[edit]
[-] sestatus
[edit]
[-] zone2sql
[edit]
[-] mdb_dump
[edit]
[-] clockdiff
[edit]
[-] import
[edit]
[-] linux-boot-prober
[edit]
[-] choom
[edit]
[-] sh
[edit]
[-] g++
[edit]
[-] ea-php84
[edit]
[-] plymouth
[edit]
[-] yat2m
[edit]
[-] info
[edit]
[-] sgm_dd
[edit]
[-] toe
[edit]
[-] zdump
[edit]
[-] appstream-compose
[edit]
[-] mariadb-find-rows
[edit]
[-] intel-speed-select
[edit]
[-] sievec
[edit]
[-] modutil
[edit]
[-] pm2
[edit]
[-] montage
[edit]
[-] dpkg-deb
[edit]
[-] libwmf-fontmap
[edit]
[-] sg_write_long
[edit]
[-] zdiff
[edit]
[-] vimtutor
[edit]
[-] grub2-syslinux2cfg
[edit]
[-] tmon
[edit]
[-] sg_write_buffer
[edit]
[-] dbus-update-activation-environment
[edit]
[-] python-config
[edit]
[-] pr
[edit]
[-] xsltproc
[edit]
[-] pkgconf
[edit]
[-] mysqlhotcopy
[edit]
[-] ps2pdf
[edit]
[-] update-mime-database
[edit]
[-] mariadb-binlog
[edit]
[-] acyclic
[edit]
[-] lwp-download
[edit]
[-] mysql_install_db
[edit]
[-] checkmodule
[edit]
[-] msginit
[edit]
[-] gslp
[edit]
[-] find
[edit]
[-] fincore
[edit]
[-] dirmngr
[edit]
[-] sha384hmac
[edit]
[-] file
[edit]
[-] automake-1.16
[edit]
[-] python3.9
[edit]
[-] pflags
[edit]
[-] grub2-mkrescue
[edit]
[-] blktrace
[edit]
[-] zfgrep
[edit]
[-] ea-php84-pecl
[edit]
[-] dbiprof
[edit]
[-] rnano
[edit]
[-] logname
[edit]
[-] mcookie
[edit]
[-] fips-mode-setup
[edit]
[-] mysql_convert_table_format
[edit]
[-] gcov-dump
[edit]
[-] libpng16-config
[edit]
[-] autoconf
[edit]
[-] ps2pdf14
[edit]
[-] bzgrep
[edit]
[-] flock
[edit]
[-] printafm
[edit]
[-] autoupdate
[edit]
[-] pm2-dev
[edit]
[-] cifsiostat
[edit]
[-] tee
[edit]
[-] python-html2text
[edit]
[-] wsrep_sst_mysqldump
[edit]
[-] sync
[edit]
[-] myisamlog
[edit]
[-] cksum
[edit]
[-] sudoreplay
[edit]
[-] rsvg-convert
[edit]
[-] gawk
[edit]
[-] systemd-repart
[edit]
[-] bzcat
[edit]
[-] unalias
[edit]
[-] users
[edit]
[-] systemd-tmpfiles
[edit]
[-] gcc-ar
[edit]
[-] nmcli
[edit]
[-] shuf
[edit]
[-] lastb
[edit]
[-] myisam_ftdump
[edit]
[-] sotruss
[edit]
[-] cpupower
[edit]
[-] aria_pack
[edit]
[-] encguess
[edit]
[-] pdf2ps
[edit]
[-] slabtop
[edit]
[-] libnetcfg
[edit]
[-] ld.gold
[edit]
[-] colcrt
[edit]
[-] xzcat
[edit]
[-] xzegrep
[edit]
[-] gpgv
[edit]
[-] man-recode
[edit]
[-] chfn
[edit]
[-] gcc
[edit]
[-] lesspipe.sh
[edit]
[-] lsphp
[edit]
[-] pf2afm
[edit]
[-] autom4te
[edit]
[-] freebcp
[edit]
[-] sg_map
[edit]
[-] grub2-glue-efi
[edit]
[-] traceroute
[edit]
[-] ps2pdf13
[edit]
[-] gtester
[edit]
[-] perl
[edit]
[-] prezip
[edit]
[-] cpansign
[edit]
[-] crc32
[edit]
[-] autoscan
[edit]
[-] pod2html
[edit]
[-] lslocks
[edit]
[-] grub2-render-label
[edit]
[-] free
[edit]
[-] unlink
[edit]
[-] msgconv
[edit]
[-] systemd-ask-password
[edit]
[-] sg_rdac
[edit]
[-] c89
[edit]
[-] podchecker
[edit]
[-] h2ph
[edit]
[-] catman
[edit]
[-] debuginfod-find
[edit]
[-] cc
[edit]
[-] mkfontscale
[edit]
[-] sss_ssh_knownhostsproxy
[edit]
[-] sprof
[edit]
[-] grub2-mknetdir
[edit]
[-] enc2xs
[edit]
[-] zone2json
[edit]
[-] unzipsfx
[edit]
[-] od
[edit]
[-] protoc
[edit]
[-] circo
[edit]
[-] dpkg-statoverride
[edit]
[-] ncat
[edit]
[-] freetype-config
[edit]
[-] mdb_load
[edit]
[-] nm-online
[edit]
[-] locate
[edit]
[-] hb-shape
[edit]
[-] make
[edit]
[-] cpan-mirrors
[edit]
[-] systemd-mount
[edit]
[-] flex++
[edit]
[-] mariadb
[edit]
[-] nano
[edit]
[-] osage
[edit]
[-] pathchk
[edit]
[-] install
[edit]
[-] look
[edit]
[-] grub2-script-check
[edit]
[-] systemctl
[edit]
[-] nf-exp-delete
[edit]
[-] systemd-dissect
[edit]
[-] time
[edit]
[-] mailx
[edit]
[-] taskset
[edit]
[-] renice
[edit]
[-] xsubpp
[edit]
[-] sg_vpd
[edit]
[-] mail
[edit]
[-] pipewire
[edit]
[-] isql
[edit]
[-] fc
[edit]
[-] semodule_unpackage
[edit]
[-] uniq
[edit]
[-] hexdump
[edit]
[-] eps2eps
[edit]
[-] tset
[edit]
[-] stat
[edit]
[-] nsenter
[edit]
[-] csplit
[edit]
[-] datacopy
[edit]
[-] sudo
[edit]
[-] systemd-escape
[edit]
[-] ssh-keygen
[edit]
[-] garb-systemd
[edit]
[-] gpgconf
[edit]
[-] nl-link-release
[edit]
[-] eqn
[edit]
[-] gc
[edit]
[-] sum
[edit]
[-] sss_ssh_authorizedkeys
[edit]
[-] firewall-cmd
[edit]
[-] icu-config-64
[edit]
[-] xzmore
[edit]
[-] genl-ctrl-list
[edit]
[-] nl-fib-lookup
[edit]
[-] splain
[edit]
[-] nl-list-caches
[edit]
[-] secon
[edit]
[-] sw-engine
[edit]
[-] flatpak-coredumpctl
[edit]
[-] mariadb-dumpslow
[edit]
[-] autoreconf
[edit]
[-] iptc
[edit]
[-] bison
[edit]
[-] mv
[edit]
[-] xxd
[edit]
[-] lsmd
[edit]
[-] x86_64-redhat-linux-gcc-11
[edit]
[-] icuinfo
[edit]
[-] sdiff
[edit]
[-] nohup
[edit]
[-] prune
[edit]
[-] cronnext
[edit]
[-] dc
[edit]
[-] umask
[edit]
[-] xdg-desktop-menu
[edit]
[-] usbhid-dump
[edit]
[-] sha512sum
[edit]
[-] chronyc
[edit]
[-] ulockmgr_server
[edit]
[-] systemd-sysext
[edit]
[-] gcov-tool
[edit]
[-] sg_ident
[edit]
[-] python
[edit]
[-] ssh-keyscan
[edit]
[-] pcre2-config
[edit]
[-] head
[edit]
[-] realpath
[edit]
[-] mariadbd-multi
[edit]
[-] infotocap
[edit]
[-] httxt2dbm
[edit]
[-] findmnt
[edit]
[-] nroff
[edit]
[-] chvt
[edit]
[-] tracepath
[edit]
[-] scsi_ready
[edit]
[-] setpriv
[edit]
[-] cpp
[edit]
[-] host
[edit]
[-] dconf
[edit]
[-] systemd-analyze
[edit]
[-] mysqlaccess
[edit]
[-] diff
[edit]
[-] lsusb
[edit]
[-] dnstap-read
[edit]
[-] coredumpctl
[edit]
[-] troff
[edit]
[-] groff
[edit]
[-] logger
[edit]
[-] gdk-pixbuf-thumbnailer
[edit]
[-] xdg-settings
[edit]
[-] pinky
[edit]
[-] imunify360-command-wrapper
[edit]
[-] ifnames
[edit]
[-] sg_rmsn
[edit]
[-] ea-wappspector
[edit]
[-] canberra-gtk-play
[edit]
[-] lsattr
[edit]
[-] nmtui
[edit]
[-] htdbm
[edit]
[-] sg_emc_trespass
[edit]
[-] fc-query
[edit]
[-] exiv2
[edit]
[-] neqn
[edit]
[-] i386
[edit]
[-] fdp
[edit]
[-] sort
[edit]
[-] fmt
[edit]
[-] gpg-connect-agent
[edit]
[-] team2bond
[edit]
[-] setfattr
[edit]
[-] fold
[edit]
[-] lex
[edit]
[-] firewall-offline-cmd
[edit]
[-] sha384sum
[edit]
[-] git
[edit]
[-] pygettext.py
[edit]
[-] newgrp
[edit]
[-] repodiff
[edit]
[-] man
[edit]
[-] pip3
[edit]
[-] yum-debug-dump
[edit]
[-] infocmp
[edit]
[-] scsi_stop
[edit]
[-] wpctl
[edit]
[-] bootctl
[edit]
[-] sg_decode_sense
[edit]
[-] unexpand
[edit]
[-] chattr
[edit]
[-] openssl
[edit]
[-] dpkg-realpath
[edit]
[-] tsql
[edit]
[-] loadunimap
[edit]
[-] gsdj500
[edit]
[-] strace
[edit]
[-] pango-segmentation
[edit]
[-] lsof
[edit]
[-] snice
[edit]
[-] bno_plot.py
[edit]
[-] ld
[edit]
[-] sha512hmac
[edit]
[-] ulimit
[edit]
[-] gettextize
[edit]
[-] aclocal-1.16
[edit]
[-] uptime
[edit]
[-] gpgme-json
[edit]
[-] pgrep
[edit]
[-] gpgv2
[edit]
[-] semodule_link
[edit]
[-] bzcmp
[edit]
[-] ps2ascii
[edit]
[-] nl-list-sockets
[edit]
[-] 2to3
[edit]
[-] pstree
[edit]
[-] repoquery
[edit]
[-] vimdot
[edit]
[-] flex
[edit]
[-] libpng-config
[edit]
[-] gpg2
[edit]
[-] scsi_temperature
[edit]
[-] mariadb-convert-table-format
[edit]
[-] hardlink
[edit]
[-] loginctl
[edit]
[-] dnf4
[edit]
[-] mysqld_safe
[edit]
[-] nl-link-set
[edit]
[-] mariadb-slap
[edit]
[-] dircolors
[edit]
[-] sieve-dump
[edit]
[-] corepack
[edit]
[-] galera_recovery
[edit]
[-] gst-stats-1.0
[edit]
[-] crlutil
[edit]
[-] strings
[edit]
[-] streamzip
[edit]
[-] sar
[edit]
[-] pygettext3.py
[edit]
[-] yum-builddep
[edit]
[-] crb
[edit]
[-] auvirt
[edit]
[-] gpgtar
[edit]
[-] uname26
[edit]
[-] mariadb-conv
[edit]
[-] yum-groups-manager
[edit]
[-] dmesg
[edit]
[-] mariadb-upgrade
[edit]
[-] nl-route-get
[edit]
[-] pkg-config
[edit]
[-] sg_map26
[edit]
[-] fgconsole
[edit]
[-] mariadbd-safe-helper
[edit]
[-] lesskey
[edit]
[-] ngettext
[edit]
[-] zless
[edit]
[-] ps2ps2
[edit]
[-] mysql_setpermission
[edit]
[-] chage
[edit]
[-] geqn
[edit]
[-] whatis.man-db
[edit]
[-] htpasswd
[edit]
[-] autopoint
[edit]
[-] cpio
[edit]
[-] json_xs
[edit]
[-] mysqldumpslow
[edit]
[-] scsi_start
[edit]
[-] base64
[edit]
[-] pkill
[edit]
[-] mkfifo
[edit]
[-] sxpm
[edit]
[-] convert
[edit]
[-] mysqld_multi
[edit]
[-] ps2pdfwr
[edit]
[-] pw-jack
[edit]
[-] sg_sat_phy_event
[edit]
[-] at
[edit]
[-] compile_et
[edit]
[-] tabs
[edit]
[-] mariadb-admin
[edit]
[-] watch
[edit]
[-] date
[edit]
[-] ipcmk
[edit]
[-] wpexec
[edit]
[-] gvcolor
[edit]
[-] psfxtable
[edit]
[-] pdnsutil
[edit]
[-] egrep
[edit]
[-] vimdiff
[edit]
[-] xmlcatalog
[edit]
[-] nl-link-ifindex2name
[edit]
[-] awk
[edit]
[-] numfmt
[edit]
[-] pyinotify
[edit]
[-] sg_stpg
[edit]
[-] l2ping
[edit]
[-] git-receive-pack
[edit]
[-] iconv
[edit]
[-] ssh-add
[edit]
[-] ed
[edit]
[-] lsns
[edit]
[-] scl_source
[edit]
[-] fc-validate
[edit]
[-] wsrep_sst_rsync_wan
[edit]
[-] chsh
[edit]
[-] procan
[edit]
[-] display
[edit]
[-] dpkg
[edit]
[-] pwmake
[edit]
[-] ea-php80-pear
[edit]
[-] ea-php84-pear
[edit]
[-] fprintd-enroll
[edit]
[-] systemd-delta
[edit]
[-] modulecmd
[edit]
[-] gxl2gv
[edit]
[-] mariadb-setpermission
[edit]
[-] mknod
[edit]
[-] pidof
[edit]
[-] gvgen
[edit]
[-] link
[edit]
[-] gprof
[edit]
[-] znew
[edit]
[-] lneato
[edit]
[-] sfdp
[edit]
[-] systemd-socket-activate
[edit]
[-] hash
[edit]
[-] scl_enabled
[edit]
[-] fc-cache-64
[edit]
[-] instmodsh
[edit]
[-] uuidgen
[edit]
[-] mysqlbinlog
[edit]
[-] dbus-send
[edit]
[-] pfbtopfa
[edit]
[-] chgrp
[edit]
[-] xzdiff
[edit]
[-] nl-qdisc-list
[edit]
[-] dpkg-maintscript-helper
[edit]
[-] gtroff
[edit]
[-] sg_read
[edit]
[-] gst-inspect-1.0
[edit]
[-] ipcs
[edit]
[-] dpkg-trigger
[edit]
[-] gdbmtool
[edit]
[-] mdb_stat
[edit]
[-] fribidi
[edit]
[-] tbl
[edit]
[-] comm
[edit]
[-] glib-compile-schemas
[edit]
[-] word-list-compress
[edit]
[-] ab
[edit]
[-] systemd-sysusers
[edit]
[-] chcon
[edit]
[-] json_pp
[edit]
[-] turbostat
[edit]
[-] zegrep
[edit]
[-] getopts
[edit]
[-] mysqladmin
[edit]
[-] newuidmap
[edit]
[-] nf-exp-list
[edit]
[-] node
[edit]
[-] arping
[edit]
[-] ipcalc
[edit]
[-] upower
[edit]
[-] openvt
[edit]
[-] xmllint
[edit]
[-] kill
[edit]
[-] skill
[edit]
[-] python3.9-x86_64-config
[edit]
[-] setup-nsssysinit
[edit]
[-] gcc-nm
[edit]
[-] psfaddtable
[edit]
[-] needs-restarting
[edit]
[-] zipsplit
[edit]
[-] pmap
[edit]
[-] nl-util-addr
[edit]
[-] grub2-mount
[edit]
[-] btreplay
[edit]
[-] rm
[edit]
[-] fprintd-list
[edit]
[-] localedef
[edit]
[-] htdigest
[edit]
[-] sg_format
[edit]
[-] nl-tctree-list
[edit]
[-] true
[edit]
[-] nf-ct-add
[edit]
[-] bashbug
[edit]
[-] arpaname
[edit]
[-] lessecho
[edit]
[-] unpigz
[edit]
[-] zcmp
[edit]
[-] nl-qdisc-delete
[edit]
[-] ea-php83-pecl
[edit]
[-] gpic
[edit]
[-] osinfo-db-import
[edit]
[-] ccomps
[edit]
[-] xmlwf
[edit]
[-] sg_sanitize
[edit]
[-] gpg-wks-server
[edit]
[-] mariadb-show
[edit]
[-] systemd-tty-ask-password-agent
[edit]
[-] tclsh8.6
[edit]
[-] protoc-c
[edit]
[-] bzmore
[edit]
[-] run-with-aspell
[edit]
[-] lscpu
[edit]
[-] scsi_readcap
[edit]
[-] rpm2cpio
[edit]
[-] reset
[edit]
[-] bzip2
[edit]
[-] m4
[edit]
[-] gst-typefind-1.0
[edit]
[-] rpmkeys
[edit]
[-] setleds
[edit]
[-] unicode_stop
[edit]
[-] dnf
[edit]
[-] nl-route-add
[edit]
[-] addr2line
[edit]
[-] nf-monitor
[edit]
[-] png-fix-itxt
[edit]
[-] orc-bugreport
[edit]
[-] sg_reset
[edit]
[-] grotty
[edit]
[-] pipewire-avb
[edit]
[-] ea-php80-pecl
[edit]
[-] teamnl
[edit]
[-] GET
[edit]
[-] domainname
[edit]
[-] nf-ct-events
[edit]
[-] colrm
[edit]
[-] exempi
[edit]
[-] stty
[edit]
[-] vmstat
[edit]
[-] pkla-check-authorization
[edit]
[-] grub2-editenv
[edit]
[-] zgrep
[edit]
[-] ncurses6-config
[edit]
[-] flatpak-bisect
[edit]
[-] sg_copy_results
[edit]
[-] gpg-wks-client
[edit]
[-] msgfmt
[edit]
[-] tree
[edit]
[-] sg_wr_mode
[edit]
[-] shasum
[edit]
[-] ld.so
[edit]
[-] nl-link-stats
[edit]
[-] top
[edit]
[-] HEAD
[edit]
[-] envsubst
[edit]
[-] xargs
[edit]
[-] dirname
[edit]
[-] crontab
[edit]
[-] chacl
[edit]
[-] json_verify
[edit]
[-] h2xs
[edit]
[-] x86_64
[edit]
[-] imunify360-agent
[edit]
[-] tar
[edit]
[-] netstat
[edit]
[-] perldoc
[edit]
[-] sedispol
[edit]
[-] curl
[edit]
[-] tput
[edit]
[-] pod2man
[edit]
[-] ex
[edit]
[-] ea-php83-pear
[edit]
[-] dig
[edit]
[-] cat
[edit]
[-] getfacl
[edit]
[-] pidstat
[edit]
[-] osql
[edit]
[-] msgexec
[edit]
[-] vdosetuuid
[edit]
[-] manpath
[edit]
[-] bootconfig
[edit]
[-] bluemoon
[edit]
[-] luac
[edit]
[-] corelist
[edit]
[-] pdf2dsc
[edit]
[-] setterm
[edit]
[-] nf-log
[edit]
[-] sim_lsmplugin
[edit]
[-] osinfo-db-path
[edit]
[-] localectl
[edit]
[-] sg_rtpg
[edit]
[-] ea-php83
[edit]
[-] idiag-socket-details
[edit]
[-] sg_luns
[edit]
[-] msgfmt3.9.py
[edit]
[-] less
[edit]
[-] fc-scan
[edit]
[-] test
[edit]
[-] pigz
[edit]
[-] filan
[edit]
[-] pip
[edit]
[-] grub2-file
[edit]
[-] quotasync
[edit]
[-] rsync
[edit]
[-] mariadb-embedded
[edit]
[-] sg_verify
[edit]
[-] mkdir
[edit]
[-] dwz
[edit]
[-] alias
[edit]
[-] stdbuf
[edit]
[-] pwdx
[edit]
[-] automake
[edit]
[-] patchwork
[edit]
[-] grub2-mkrelpath
[edit]
[-] pydoc3.9
[edit]
[-] jobs
[edit]
[-] grub2-mkfont
[edit]
[-] gresource
[edit]
[-] gvpr
[edit]
[-] sg_stream_ctl
[edit]
[-] msgattrib
[edit]
[-] sieve-filter
[edit]
[-] script
[edit]
[-] wsrep_sst_backup
[edit]
[-] xml2-config
[edit]
[-] expand
[edit]
[-] tred
[edit]
[-] sg_write_same
[edit]
[-] xdg-mime
[edit]
[-] getent
[edit]
[-] killall
[edit]
[-] watchgnupg
[edit]
[-] iio_generic_buffer
[edit]
[-] vdir
[edit]
[-] gsoelim
[edit]
[-] cp
[edit]
[-] sg_reset_wp
[edit]
[-] systemd-cgls
[edit]
[-] sg_referrals
[edit]
[-] fc-list
[edit]
[-] base32
[edit]
[-] lua
[edit]
[-] bzless
[edit]
[-] xzless
[edit]
[-] patch
[edit]
[-] mariadb_config
[edit]
[-] b2sum
[edit]
[-] glib-compile-resources
[edit]
[-] systemd-cryptenroll
[edit]
[-] ea-php82
[edit]
[-] basename
[edit]
[-] gtk-query-immodules-2.0-64
[edit]
[-] unicode_start
[edit]
[-] sg_xcopy
[edit]
[-] objcopy
[edit]
[-] nsupdate
[edit]
[-] scsi-rescan
[edit]
[-] nl-addr-delete
[edit]
[-] tzselect
[edit]
[-] event_rpcgen.py
[edit]
[-] post-grohtml
[edit]
[-] mariadb-config
[edit]
[-] mysqlshow
[edit]
[-] perlml
[edit]
[-] libtool
[edit]
[-] gsnd
[edit]
[-] mariadb-service-convert
[edit]
[-] gtester-report
[edit]
[-] nc
[edit]
[-] touch
[edit]
[-] mariadb-check
[edit]
[-] shred
[edit]
[-] dbus-broker
[edit]
[-] mdig
[edit]
[-] dbilogstrip
[edit]
[-] perlivp
[edit]
[-] gzexe
[edit]
[-] graphml2gv
[edit]
[-] gmake
[edit]
[-] tsort
[edit]
[-] peekfd
[edit]
[-] env
[edit]
[-] grub2-mkstandalone
[edit]
[-] distro
[edit]
[-] iio_event_monitor
[edit]
[-] odbcinst
[edit]
[-] gunzip
[edit]
[-] nproc
[edit]
[-] lsinitrd
[edit]
[-] pwscore
[edit]
[-] xzdec
[edit]
[-] sg_rep_pip
[edit]
[-] sg_read_block_limits
[edit]
[-] ls
[edit]
[-] pure-statsdecode
[edit]
[-] kbdrate
[edit]
[-] grub2-kbdcomp
[edit]
[-] git-shell
[edit]
[-] kvm_stat
[edit]
[-] dos2unix
[edit]
[-] sg_turs
[edit]
[-] gpg
[edit]
[-] gv2gml
[edit]
[-] mysqld_safe_helper
[edit]
[-] npm
[edit]
[-] mysql_config
[edit]
[-] pip-3
[edit]
[-] gvmap
[edit]
[-] rpm
[edit]
[-] pod2usage
[edit]
[-] msgfmt3.py
[edit]
[-] nop
[edit]
[-] last
[edit]
[-] mysql
[edit]
[-] deallocvt
[edit]
[-] msql2mysql
[edit]
[-] sg_get_elem_status
[edit]
[-] pidwait
[edit]
[-] grub2-menulst2cfg
[edit]
[-] evmctl
[edit]
[-] lchsh
[edit]
[-] cd
[edit]
[-] dovecot-sysreport
[edit]
[-] aulast
[edit]
[-] groups
[edit]
[-] rescan-scsi-bus.sh
[edit]
[-] gapplication
[edit]
[-] more
[edit]
[-] bsqldb
[edit]
[-] os-prober
[edit]
[-] fc-conflist
[edit]
[-] mm2gv
[edit]
[-] prezip-bin
[edit]
[-] python3.9-config
[edit]
[-] whereis
[edit]
[-] mysqldump
[edit]
[-] make-dummy-cert
[edit]
[-] precat
[edit]
[-] imunify-fgw-dump
[edit]
[-] systemd-hwdb
[edit]
[-] read
[edit]
[-] dot2gxl
[edit]
[-] tclsh
[edit]
[-] pldd
[edit]
[-] [
[edit]
[-] gio
[edit]
[-] btmgmt
[edit]
[-] man.man-db
[edit]
[-] bzegrep
[edit]
[-] POST
[edit]
[-] scsi_mandat
[edit]
[-] x86_energy_perf_policy
[edit]
[-] rvim
[edit]
[-] sed
[edit]
[-] scsi_satl
[edit]
[-] fallocate
[edit]
[-] nl-rule-list
[edit]
[-] updatedb
[edit]
[-] setvtrgb
[edit]
[-] paperconf
[edit]
[-] osinfo-db-export
[edit]
[-] lsirq
[edit]
[-] resolve_stack_dump
[edit]
[-] sg_rep_zones
[edit]
[-] ispell
[edit]
[-] lwp-mirror
[edit]
[-] sginfo
[edit]
[-] glib-gettextize
[edit]
[-] gsf-office-thumbnailer
[edit]
[-] desktop-file-validate
[edit]
[-] diff3
[edit]
[-] cut
[edit]
[-] osinfo-install-script
[edit]
[-] s-nail
[edit]
[-] chrt
[edit]
[-] systemd-creds
[edit]
[-] ypdomainname
[edit]
[-] sg_read_long
[edit]
[-] bzip2recover
[edit]
[-] tr
[edit]
[-] passwd
[edit]
[-] gsdj
[edit]
[-] lslogins
[edit]
[-] fisql
[edit]
[-] mysql_waitpid
[edit]
[-] xdg-screensaver
[edit]
[-] gsbj
[edit]
[-] bcomps
[edit]
[-] perror
[edit]
[-] ln
[edit]
[-] ps2epsi
[edit]
[-] msgen
[edit]
[-] nslookup
[edit]
[-] grops
[edit]
[-] atrm
[edit]
[-] basenc
[edit]
[-] atq
[edit]
[-] prlimit
[edit]
[-] ps2ps
[edit]
[-] zsoelim
[edit]
[-] semodule_package
[edit]
[-] sm3hmac
[edit]
[-] sg_inq
[edit]
[-] nl-cls-delete
[edit]
[-] sg_rbuf
[edit]
[-] teamd
[edit]
[-] btrace
[edit]
[-] who
[edit]
[-] gtar
[edit]
[-] audit2why
[edit]
[-] dracut
[edit]
[-] ptardiff
[edit]
[-] kmod
[edit]
[-] apropos
[edit]
[-] gtk-query-immodules-3.0-64
[edit]
[-] join
[edit]
[-] tracker3
[edit]
[-] sg_write_verify
[edit]
[-] gpio-event-mon
[edit]
[-] pslog
[edit]
[-] socat
[edit]
[-] prove
[edit]
[-] systemd-path
[edit]
[-] sg_opcodes
[edit]
[-] sg_ses
[edit]
[-] mesg
[edit]
[-] dbus-broker-launch
[edit]
[-] timedatectl
[edit]
[-] xzcmp
[edit]
[-] setfont
[edit]
[-] nl-pktloc-lookup
[edit]
[-] ssh-agent
[edit]
[-] sha256hmac
[edit]
[-] xdg-open
[edit]
[-] aulastlog
[edit]
[-] printf
[edit]
[-] nl-cls-add
[edit]
[-] ncursesw6-config
[edit]
[-] apropos.man-db
[edit]
[-] elfedit
[edit]
[-] gpg-error
[edit]
[-] mapscrn
[edit]
[-] tcptraceroute
[edit]
[-] update-gtk-immodules
[edit]
[-] debuginfo-install
[edit]
[-] cvtsudoers
[edit]
[-] su
[edit]
[-] iostat
[edit]
[-] sg_scan
[edit]
[-] vdodmeventd
[edit]
[-] pdns_control
[edit]
[-] mktemp
[edit]
[-] dd
[edit]
[-] mariadb-access
[edit]
[-] msgcat
[edit]
[-] umount
[edit]
[-] dpkg-query
[edit]
[-] du
[edit]
[-] chmem
[edit]
[-] sg_readcap
[edit]
[-] zipgrep
[edit]
[-] c99
[edit]
[-] sg_modes
[edit]
[-] ea-php80
[edit]
[-] prtstat
[edit]
[-] fusermount
[edit]
[-] wdctl
[edit]
[-] imunify-service
[edit]
[-] vim
[edit]
[-] gpio-hammer
[edit]
[-] gobject-query
[edit]
[-] dot
[edit]
[-] showconsolefont
[edit]
[-] rename
[edit]
[-] nl-monitor
[edit]
[-] wsrep_sst_common
[edit]
[-] traceroute6
[edit]
[-] mariadb-secure-installation
[edit]
[-] cpapi1
[edit]
[-] x86_64-redhat-linux-gnu-pkg-config
[edit]
[-] cpapi3
[edit]
[-] ea-php82-pear
[edit]
[-] rpcbind
[edit]
[-] paste
[edit]
[-] readelf
[edit]
[-] x86_64-redhat-linux-c++
[edit]
[-] sg_prevent
[edit]
[-] replace
[edit]
[-] gst-launch-1.0
[edit]
[-] dltest
[edit]
[-] pure-pw
[edit]
[-] ps
[edit]
[-] my_print_defaults
[edit]
[-] git-upload-archive
[edit]
[-] chmod
[edit]
[-] systemd-notify
[edit]
[-] systemd-cgtop
[edit]
[-] nl-link-enslave
[edit]
[-] bsqlodbc
[edit]
[-] loadkeys
[edit]
[-] twopi
[edit]
[-] timeout
[edit]
[-] desktop-file-install
[edit]
[-] xz
[edit]
[-] irqtop
[edit]
[-] pipewire-vulkan
[edit]
[-] hex2hcd
[edit]
[-] mariadb-install-db
[edit]
[-] diffimg
[edit]
[-] preunzip
[edit]
[-] getopt
[edit]
[-] whatis
[edit]
[-] uuidparse
[edit]
[-] ea-php82-pecl
[edit]
[-] locale
[edit]
[-] repoclosure
[edit]
[-] pkcheck
[edit]
[-] mysql_tzinfo_to_sql
[edit]
[-] compare
[edit]
[-] cluster
[edit]
[-] vi
[edit]
[-] gtbl
[edit]
[-] sedismod
[edit]
[-] fips-finish-install
[edit]
[-] pwd
[edit]
[-] tty
[edit]
[-] avinfo
[edit]
[-] lsusb.py
[edit]
[-] sha1hmac
[edit]
[-] setarch
[edit]
[-] dirmngr-client
[edit]
[-] ssltap
[edit]
[-] logresolve
[edit]
[-] btt
[edit]
[-] sg_senddiag
[edit]
[-] nl-neigh-delete
[edit]
[-] c++filt
[edit]
[-] ima-add-sigs
[edit]
[-] ssh
[edit]
[-] rsync-ssl
[edit]
[-] sudoedit
[edit]
[-] pstree.x11
[edit]
[-] gettext
[edit]
[-] sg_get_lba_status
[edit]
[-] wmf2x
[edit]
[-] pygettext3.9.py
[edit]
[-] sg_requests
[edit]
[-] mariadbd-safe
[edit]
[-] config_data
[edit]
[-] rpm2archive
[edit]
[-] lwp-request
[edit]
[-] kbd_mode
[edit]
[-] zipinfo
[edit]
[-] lefty
[edit]
[-] fgrep
[edit]
[-] x86_64-redhat-linux-g++
[edit]
[-] pathfix3.9.py
[edit]
[-] wait
[edit]
[-] pathfix.py
[edit]
[-] ionice
[edit]
[-] vdoformat
[edit]
[-] vdostats
[edit]
[-] as
[edit]
[-] python3-html2text
[edit]
[-] desktop-file-edit
[edit]
[-] attr
[edit]
[-] ac
[edit]
[-] scsi_logging_level
[edit]
[-] wmf2eps
[edit]
[-] pkaction
[edit]
[-] idn
[edit]
[-] g13
[edit]
[-] fprintd-verify
[edit]
[-] gpg-agent
[edit]
[-] lsmcli
[edit]
[-] wmf2gd
[edit]
[-] pod2text
[edit]
[-] ftp
[edit]
[-] nl-neigh-add
[edit]
[-] mysqlcheck
[edit]